# Uses of Interface
ch.qos.logback.core.status.Status

Packages that use Status
Package
Description
ch.qos.logback.access.pattern
Provides classes implementing format specifiers in conversion patterns.
ch.qos.logback.access.tomcat
This is logback access' implementation for Tomcat.
ch.qos.logback.classic.util
Contains utility classes.
ch.qos.logback.core
Contains the main classes of logback core.
ch.qos.logback.core.joran.event
ch.qos.logback.core.pattern
Contains the base classes used by PatternLayout.
ch.qos.logback.core.recovery
ch.qos.logback.core.spi
Contains core functionnalities of logback, such as
ch.qos.logback.core.status
Contains logback's internal error reporting system.
ch.qos.logback.core.util
Contains various utility classes.

## Uses of Status in ch.qos.logback.access.pattern

Methods in ch.qos.logback.access.pattern with parameters of type Status
Modifier and Type
Method
Description
`void`
AccessConverter.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.access.tomcat

Methods in ch.qos.logback.access.tomcat with parameters of type Status
Modifier and Type
Method
Description
`void`
LogbackValve.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.classic.util

Methods in ch.qos.logback.classic.util with parameters of type Status
Modifier and Type
Method
Description
`static void`
StatusViaSLF4JLoggerFactory.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.core

Fields in ch.qos.logback.core with type parameters of type Status
Modifier and Type
Field
Description
`protected final List<Status>`
BasicStatusManager.`statusList`
`protected final CyclicBuffer<Status>`
BasicStatusManager.`tailBuffer`
Methods in ch.qos.logback.core that return types with arguments of type Status
Modifier and Type
Method
Description
`List<Status>`
BasicStatusManager.`getCopyOfStatusList()`
Methods in ch.qos.logback.core with parameters of type Status
Modifier and Type
Method
Description
`void`
BasicStatusManager.`add(Status newStatus)`
Add a new status object.

## Uses of Status in ch.qos.logback.core.joran.event

Methods in ch.qos.logback.core.joran.event with parameters of type Status
Modifier and Type
Method
Description
`void`
SaxEventRecorder.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.core.pattern

Methods in ch.qos.logback.core.pattern with parameters of type Status
Modifier and Type
Method
Description
`void`
DynamicConverter.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.core.recovery

Methods in ch.qos.logback.core.recovery with parameters of type Status
Modifier and Type
Method
Description
`void`
ResilientOutputStreamBase.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.core.spi

Methods in ch.qos.logback.core.spi with parameters of type Status
Modifier and Type
Method
Description
`void`
ContextAware.`addStatus(Status status)`
`void`
ContextAwareBase.`addStatus(Status status)`
`void`
ContextAwareImpl.`addStatus(Status status)`

## Uses of Status in ch.qos.logback.core.status

Classes in ch.qos.logback.core.status that implement Status
Modifier and Type
Class
Description
`class`
`ErrorStatus`
`class`
`InfoStatus`
`class`
`StatusBase`
`class`
`WarnStatus`
Methods in ch.qos.logback.core.status that return types with arguments of type Status
Modifier and Type
Method
Description
`static List<Status>`
StatusUtil.`filterStatusListByTimeThreshold(List<Status> rawList, long threshold)`
`List<Status>`
StatusManager.`getCopyOfStatusList()`
Obtain a copy of the status list maintained by this StatusManager.
`List<Status>`
StatusListenerAsList.`getStatusList()`
`Iterator<Status>`
Status.`iterator()`
`Iterator<Status>`
StatusBase.`iterator()`
Methods in ch.qos.logback.core.status with parameters of type Status
Modifier and Type
Method
Description
`void`
Status.`add(Status child)`
`void`
StatusBase.`add(Status child)`
`void`
StatusManager.`add(Status status)`
Add a new status message.
`void`
StatusUtil.`addStatus(Status status)`
`void`
NopStatusListener.`addStatusEvent(Status status)`
`void`
OnPrintStreamStatusListenerBase.`addStatusEvent(Status status)`
`void`
StatusListener.`addStatusEvent(Status status)`
`void`
StatusListenerAsList.`addStatusEvent(Status status)`
`boolean`
Status.`remove(Status child)`
`boolean`
StatusBase.`remove(Status statusToRemove)`
Method parameters in ch.qos.logback.core.status with type arguments of type Status
Modifier and Type
Method
Description
`static List<Status>`
StatusUtil.`filterStatusListByTimeThreshold(List<Status> rawList, long threshold)`

## Uses of Status in ch.qos.logback.core.util

Methods in ch.qos.logback.core.util with parameters of type Status
Modifier and Type
Method
Description
`static void`
StatusPrinter.`buildStr(StringBuilder sb, String indentation, Status s)`
Method parameters in ch.qos.logback.core.util with type arguments of type Status
Modifier and Type
Method
Description
`static void`
StatusPrinter.`print(List<Status> statusList)`